## libfindrtp 0.4b

=== Makefile ===
CC=gcc

CFLAGS= -Wall
LFLAGS= -lpcap

TARGET= libfindrtp
ALL= libfindrtp test

all: $(TARGET)

clean:
	rm -f $(ALL) core *.o *.so *~

install: libfindrtp
	install -m 755 libfindrtp.so /usr/lib
	install -m 755 libfindrtp.h /usr/include
	ldconfig
	@echo
	@echo "libfindrtp installed!"
	@echo

uninstall:
	rm /usr/lib/libfindrtp.so
	rm /usr/include/libfindrtp.h
	ldconfig
	@echo
	@echo "libfindrtp uninstalled!"
	@echo

# The library
libfindrtp: libfindrtp.o packet.o sccp.o sip.o
	@echo
	@echo "Creating libfindrtp shared library..."
	$(CC) -shared -o libfindrtp.so libfindrtp.o packet.o sccp.o sip.o $(LFLAGS)

# Library objects 
libfindrtp.o: libfindrtp.c libfindrtp.h
	@echo "Creating libfindrtp object..."
	$(CC) -fPIC $(CFLAGS) -c libfindrtp.c

packet.o: packet.c libfindrtp.h
	@echo "Compiling packet object..."
	$(CC) -fPIC $(CFLAGS) -c packet.c

sccp.o: sccp.c libfindrtp.h
	@echo "Compiling sccp object..."
	$(CC) -fPIC $(CFLAGS) -c sccp.c

sip.o: sip.c libfindrtp.h
	@echo "Compiling sip object..."
	$(CC) -fPIC $(CFLAGS) -c sip.c

# Test app
test: libfindrtp test.o
	@echo "Compiling test app."
	$(CC) $(CFLAGS) -o $@ test.o libfindrtp.so

test.o: test.c libfindrtp.h
	@echo "Compiling test object..."
	$(CC) $(CFLAGS) -c test.c

=== debian/changelog ===
libfindrtp (0.4b-1kali3) kali-dev; urgency=medium

  * Drop libpcap-0.8 from Depends field
  * Misc packaging updates

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 06 May 2024 15:20:33 +0700

libfindrtp (0.4b-1kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Add d/watch file
  * Add lintian overrides
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 25 Jan 2023 16:50:26 -0600

libfindrtp (0.4b-1kali1) kali-dev; urgency=medium

  [ Devon Kearns ]
  * Edited rules

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Dec 2020 09:24:03 +0100

libfindrtp (0.4b-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sun, 30 Dec 2012 07:14:36 -0700

=== debian/control ===
Source: libfindrtp
Section: libs
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.6.2
Homepage: http://www.hackingvoip.com/sec_tools.html
Vcs-Git: https://gitlab.com/kalilinux/packages/libfindrtp.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/libfindrtp

Package: libfindrtp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library required by multiple VoIP tools
 This package contains a library used by multiple VoIP tools.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_installdirs
	install libfindrtp.so $(CURDIR)/debian/libfindrtp/usr/lib/
	install libfindrtp.h $(CURDIR)/debian/libfindrtp/usr/include/

override_dh_auto_test:

=== debian/watch ===
version=4
http://www.hackingvoip.com/sec_tools.html .*/libfindrtp-(.*)\.tar\.gz
